package oak

import (
	"strconv"
)

type Cliente struct{
	Cod, Inscricao int
	Nome, End, Tel, Tipo, Cpf, Cnpj, Data string
	Divida float64
}

func CriaListaClientes () []Cliente {
	c := make([]Cliente,0)
	return c
}

func CriaPessoaFisica (nome, end, tel, data, tipo, cpf, cod string) Cliente {
	var p Cliente
	p.Nome = nome
	p.End = end
	p.Tel = tel
	p.Cod,_ = strconv.Atoi(cod)
	p.Divida = 0.0
	p.Cpf = cpf
	p.Tipo = tipo
	p.Data = data
	return p
}

func CalcDividaCliente (p Cliente, d float64) Cliente {
	p.Divida = p.Divida + d
	return p
}


func CriaPessoaJuridica (nome, end, tel, data, tipo, cnpj, cod, inscricao string) Cliente {
	var p Cliente
	p.Nome = nome
	p.End = end
	p.Tel = tel
	p.Cnpj = cnpj
	p.Tipo = tipo
	p.Cod,_ = strconv.Atoi(cod)
	p.Inscricao,_ = strconv.Atoi(inscricao)
	p.Data = data
	p.Divida = 0.0
	return p
}

func BuscaCliente(cod int, c []Cliente) int{
	var index int
	for i:= range c {
		if cod == c[i].Cod {
			index = i
			break
		}
	}
	return index
}
