
package oak

import(
	"fmt"
	"strings"
)

type Modo struct {
	Receita, Lucro float64
	Pagamento string
}

func CriaModo (pagamento string) Modo {
	var m Modo
	m.Pagamento = pagamento
	m.Receita = 0.0
	m.Lucro = 0.0
	return m
}

func CriaLista () []Modo {
	var lm []Modo
	m1 := CriaModo("X")
	m2 := CriaModo("C")
	m3 := CriaModo("D")
	m4 := CriaModo("T")
	m5 := CriaModo("$")
	m6 := CriaModo("F")
	lm = append(lm, m1)
	lm = append(lm, m2)
	lm = append(lm, m3)
	lm = append(lm, m4)
	lm = append(lm, m5)
	lm = append(lm, m6)
	return lm
}

func ReceitaModo (m Modo, r float64) Modo{
	m.Receita = m.Receita + r
	return m
}

func LucroModo (m Modo, l float64) Modo{
	m.Lucro = m.Lucro + l
	return m
}

func VerificaPagamento (m Modo, p string) bool{
	if m.Pagamento == p {
		return true
	}else {
		return false
	}
}

func BuscaModo (pgto string, m []Modo) int {
	var index int
	for i:= range m {
		if strings.EqualFold(pgto,m[i].Pagamento){
			index = i
			break
		}
	}
	return index
}

func ImprimeListaModo(m []Modo) {
	for i,_:=range m {
		fmt.Println(m[i].Pagamento)
	}
}
