package oak

import(
	"strconv"
	"os"
	"fmt"
	"strings"
)

func Apagar(f []Fornecedor){
	file, err := os.Create("1-apagar.csv")
	if err != nil {
		fmt.Println(err)
	}
	fmt.Fprint(file, "Fornecedor" + ";" + "CNPJ" +";" + "Pessoa de contato" +";" + "Telefone" +";" + "Total a pagar \n")
	for i:= range f {
		fmt.Fprint(file, f[i].Nome +";" +f[i].Cnpj +";" +f[i].Contato +";" +f[i].Tel +";" +"R$" +strconv.FormatFloat(f[i].Total,'f', 2,64))
		fmt.Fprint(file, "\n")
	}
}

func Areceber(c []Cliente){
	file, err := os.Create("2-areceber.csv")
	if err != nil {
		fmt.Println(err)
	}
	fmt.Fprint(file, "Cliente" +";" +"Tipo" +";" +"CPF/CNPJ" +";" +"Telefone" +";" +"Data de cadastro" +";" +"Total a pagar \n")
	for i:= range c {
		if strings.EqualFold(c[i].Tipo, "F"){ 
			fmt.Fprint(file, c[i].Nome + ";" + c[i].Tipo + ";"+ c[i].Cpf + ";" + c[i].Tel + ";"+ c[i].Data + ";" + "R$ "+strconv.FormatFloat(c[i].Divida, 'f',2,64))
			fmt.Fprint(file, "\n")
		}else {
			fmt.Fprint(file, c[i].Nome + ";" + c[i].Tipo + ";"+ c[i].Cnpj + ";" + c[i].Tel + ";"+ c[i].Data + ";" + "R$ " +strconv.FormatFloat(c[i].Divida,'f',2,64))
			fmt.Fprint(file, "\n")
		}
	}
	file.Close()
}
