
package oak

import(
	"strconv"
)

type Fornecedor struct {
	Cod int
	Total float64 
	Nome, End, Tel, Cnpj, Contato string
}

func CriaFornecedor (nome, end, tel, cnpj, contato, cod string) Fornecedor {
	var f Fornecedor
	f.Nome = nome
	f.End = end
	f.Tel = tel
	f.Contato = contato
	f.Cnpj = cnpj
	f.Cod,_ = strconv.Atoi(cod)
	f.Total = 0.0
	return f
}

func CriaListaFornecedores () []Fornecedor {
	f := make([]Fornecedor,0)
	return f
}

func CalcTotal (f Fornecedor, d float64) Fornecedor{
	f.Total = f.Total + d
	return f
}

func SetTotal(f Fornecedor, d float64) Fornecedor {
	f.Total = f.Total + d
	return f
}

func BuscaFornecedor(cod int, f []Fornecedor) int{
	var index int
	for i:= range f {
		if cod == f[i].Cod {
			index = i
			break
		}
	}
	return index
}
