
package main

import (
	"os"
	"fmt"
	"strings"	
	"./oak"
)
	


func main(){
	if len(os.Args)<2 {
		fmt.Println("Erro!")
		os.Exit(1)
	}

	var file_c, file_p, file_f, file_rc, file_rv string
			
	for i:=0; i<len(os.Args); i++ {
		if strings.EqualFold(os.Args[i],"-c"){
			file_c = os.Args[i+1]
		}else if strings.EqualFold(os.Args[i],"-p"){
			file_p = os.Args[i+1]
		}else if strings.EqualFold(os.Args[i],"-f"){
			file_f = os.Args[i+1]
		}else if strings.EqualFold(os.Args[i],"-a"){
			file_rc = os.Args[i+1]
		}else if strings.EqualFold(os.Args[i],"-v"){
			file_rv = os.Args[i+1]
		}
	}
			
	c := file_c
	f := file_f
	p := file_p
	v := file_rv
	cmp := file_rc
	modos := oak.CriaLista()
 	clientes := oak.CriaListaClientes()
 	fornecedores := oak.CriaListaFornecedores()
 	produtos := oak.CriaListaProdutos()
 
	clientes = oak.LeClientes(clientes,c)
	fornecedores = oak.LeFornecedores(fornecedores,f)
	produtos = oak.LeProdutos(produtos,p)	

	produtos, clientes, modos = oak.LeVendas(produtos, clientes, modos, v)
	produtos, fornecedores = oak.LeCompras(produtos, fornecedores, cmp)
		
	oak.Apagar(fornecedores)
	oak.Areceber(clientes)
	
}

























